libzypp 17.37.10

zyppng::AcceptUnknownKeyRequest Namespace Reference

Ask the user to accept a unknown key. More...

## Functions
constexpr std::string_view | CTYPE ("keyring/accept-unknown-key")
constexpr std::string_view | KEYID ("keyid")
constexpr std::string_view | FILE ("file")
constexpr std::string_view | KEY_CONTEXT ("key-context")
UserData | makeData (const std::string &file, const std::string &id, const zypp::KeyContext &keycontext=zypp::KeyContext())

## Detailed Description

Ask the user to accept a unknown key.

We DONT know the key, only its id, but we have never seen it, the difference with trust key is that if you dont have it, you can't import it later. The answer means continue yes or no?

Userdata fields:

- "keyid" The key ID in question
- "file" The file signed with the given key id
- "key-context" context the file came up in

## Function Documentation

## ◆ CTYPE()

std::string_view zyppng::AcceptUnknownKeyRequest::CTYPE | ( | "keyring/accept-unknown-key" |  | ) |
| constexpr

## ◆ KEYID()

std::string_view zyppng::AcceptUnknownKeyRequest::KEYID | ( | "keyid" |  | ) |
| constexpr

## ◆ FILE()

std::string_view zyppng::AcceptUnknownKeyRequest::FILE | ( | "file" |  | ) |
| constexpr

## ◆ KEY_CONTEXT()

std::string_view zyppng::AcceptUnknownKeyRequest::KEY_CONTEXT | ( | "key-context" |  | ) |
| constexpr

## ◆ makeData()

UserData zyppng::AcceptUnknownKeyRequest::makeData | ( | const std::string & | file,
|  | const std::string & | id,
|  | const zypp::KeyContext & | keycontext = zypp::KeyContext() )

Definition at line 77 of file userrequest.cc.